---
title: "Associate users to resource and permission"
slug: "associate-users-to-resource-and-permission"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/associate-users-to-resource-and-permission"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Associate users to resource and permission
Post/api/v1/users/{userId}/permissiondetails
SecurityHTTPType bearer
Path parametersuserIdstringRequired
The ID of the user
Body parameters
The details for the user, resource and permission association.
Expand Allobject permissionDetails Array of object object idstring
permissionstring
typestring
Responses200
OK
Expand Allobject authorizationboolean
dataobject permissions Array of object object permissionobject idstring
namestring
resourcestring
typestring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
400
Bad Request
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
404
Not Found
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
422
Unprocessable Entity
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
500
Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean